PHP 8.x

Home Forums Iconic One Pro Support PHP 8.x

This topic contains 1 reply, has 2 voices, and was last updated by  Themonic-Support 5 months, 3 weeks ago.

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #6660

    craigkeefner
    Participant

    I noticed some server errors for one of my sites running Iconic which I had upgraded from 7.4 to 8 PHP. Cloudflare reported some server errors. I checked error log and see quite of few of the below. For now I downgraded to 7.4 to see if they go away.

    Craig

    PHP Fatal error: Uncaught ArgumentCountError: 5 arguments are required, 2 given in /nas/content/live/thinclient/wp-content/themes/iconic-one-pro/inc/io-pro-functions.php:440\nStack trace:\n#0 /nas/content/live/thinclient/wp-content/themes/iconic-one-pro/inc/io-pro-functions.php(440): sprintf('<a>trail()\n#2 /nas/content/live/thinclient/wp-content/themes/iconic-one-pro/single.php(17): breadcrumb_trail()\n#3 /nas/content/live/thinclient/wp-includes/template-loader.php(106): include('/nas/content/li...')\n#4 /nas/content/live/thinclient/wp-blog-header.php(19): require_once('/nas/content/li...')\n#5 /nas/content/live/thinclient/index.php(17): require('/nas/content/li...')\n#6 {main}\n thrown in /nas/content/live/thinclient/wp-content/themes/iconic-one-pro/inc/io-pro-functions.php on line 440
    Jan 8, 2022, 6:27:19 PM

    #6661

    We do not support PHP 8.x yet.

    There are still a lot of issues with plugins on PHP 8.x so we are waiting and watching.

    WordPress itself only declares beta compatibility as of now.

    PHP Compatibility and WordPress Versions

Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.